document.addEventListener('DOMContentLoaded', () => {
  const toggleNav = document.querySelector('.toggle-nav');
  const navLinks = document.querySelector('.nav-links');
  const modal = document.getElementById('notification-modal');
  const closeModal = document.querySelector('.close-modal');
  const notifyForm = document.getElementById('notify-form');
  const notifyBtns = document.querySelectorAll('.notify-btn');

  // Mobile navigation toggle
  toggleNav.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Smooth scrolling for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      const target = document.querySelector(this.getAttribute('href'));
      if (target) {
        target.scrollIntoView({
          behavior: 'smooth'
        });
        navLinks.classList.remove('active');
      }
    });
  });

  // Modal handling
  notifyBtns.forEach(btn => {
    btn.addEventListener('click', () => {
      modal.style.display = 'block';
    });
  });

  closeModal.addEventListener('click', () => {
    modal.style.display = 'none';
  });

  window.addEventListener('click', (e) => {
    if (e.target === modal) {
      modal.style.display = 'none';
    }
  });

  // Form submission
  notifyForm.addEventListener('submit', (e) => {
    e.preventDefault();
    const email = e.target.querySelector('input[type="email"]').value;
    // Here you would typically send the email to your backend
    console.log('Subscription email:', email);
    modal.style.display = 'none';
    alert('Thank you for subscribing!');
    notifyForm.reset();
  });

  // Parallax effect on scroll
  window.addEventListener('scroll', () => {
    const scrolled = window.pageYOffset;
    document.querySelectorAll('.teaser-image').forEach(image => {
      const speed = 0.5;
      image.style.transform = `translateY(${scrolled * speed}px)`;
    });
  });
});
